Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class GrailsApplicationFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsApplicationFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class GrailsApplicationFactoryBean

Creates a Grails application object based on Groovy files.

Authors:
  Steven Devijver
  Graeme Rocher
  Chanwit Kaewkasi

Since:
  0.1

Method Summary
`void` | `afterPropertiesSet()`
`GrailsInjectionOperation` | `getInjectionOperation()`
`GrailsApplication` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsDescriptor(Resource r)`
`void` | `setGrailsResourceLoader(GrailsResourceLoader resourceLoader)`
`void` | `setInjectionOperation(GrailsInjectionOperation injectionOperation)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getInjectionOperation

    public GrailsInjectionOperation getInjectionOperation()

### getObject

    public GrailsApplication getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setGrailsDescriptor

    public void setGrailsDescriptor(Resource r)

### setGrailsResourceLoader

    public void setGrailsResourceLoader(GrailsResourceLoader resourceLoader)

### setInjectionOperation

    public void setInjectionOperation(GrailsInjectionOperation injectionOperation)

Groovy Documentation